commit 2d3713fd8e5e56fd2875f508bd0f5759b7e0216a
Author: freddy77 <freddy77>
Date:   Sat Jul 31 08:05:59 2010 +0000

    fix link for iconv in unittests

diff --git a/ChangeLog b/ChangeLog
index 95f173b..e4506ed 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+Sat Jul 31 10:05:48 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/ctlib/unittests/Makefile.am src/dblib/unittests/Makefile.am:
+	* src/tds/unittests/Makefile.am:
+	- fix link for iconv in unittests
+
 Fri Jul 30 11:08:37 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* configure.ac include/tdsodbc.h src/odbc/Makefile.am:
 	* src/odbc/odbc.c src/odbc/sqlwparams.h win32/FreeTDS.def:
@@ -2791,4 +2796,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.3102 2010/07/30 09:09:36 freddy77 Exp $
+$Id: ChangeLog,v 1.3103 2010/07/31 08:05:59 freddy77 Exp $
diff --git a/src/ctlib/unittests/Makefile.am b/src/ctlib/unittests/Makefile.am
index 9c0301b..4dac0a2 100644
--- a/src/ctlib/unittests/Makefile.am
+++ b/src/ctlib/unittests/Makefile.am
@@ -1,4 +1,4 @@
-# $Id: Makefile.am,v 1.31 2009/02/11 14:40:15 freddy77 Exp $
+# $Id: Makefile.am,v 1.32 2010/07/31 08:05:59 freddy77 Exp $
 
 TESTS		=	t0001$(EXEEXT) t0002$(EXEEXT) t0003$(EXEEXT) t0004$(EXEEXT) \
 			t0005$(EXEEXT) t0006$(EXEEXT) t0007$(EXEEXT) t0008$(EXEEXT) \
@@ -48,5 +48,5 @@ AM_LDFLAGS	=	-no-fast-install
 else
 AM_LDFLAGS	=	-no-install -L../.libs -R $(abs_builddir)/../.libs
 endif
-LIBS		=	../libct.la ../../replacements/libreplacements.la @NETWORK_LIBS@
+LIBS		=	../libct.la ../../replacements/libreplacements.la $(LIBICONV) @NETWORK_LIBS@
 CLEANFILES	=	tdsdump.out
diff --git a/src/dblib/unittests/Makefile.am b/src/dblib/unittests/Makefile.am
index df43a20..5ffbda1 100644
--- a/src/dblib/unittests/Makefile.am
+++ b/src/dblib/unittests/Makefile.am
@@ -1,4 +1,4 @@
-# $Id: Makefile.am,v 1.49 2009/09/01 05:47:31 freddy77 Exp $
+# $Id: Makefile.am,v 1.50 2010/07/31 08:05:59 freddy77 Exp $
 TESTS		=	t0001$(EXEEXT) t0002$(EXEEXT) t0003$(EXEEXT)\
 			t0004$(EXEEXT) t0005$(EXEEXT) t0006$(EXEEXT)\
 			t0007$(EXEEXT) t0008$(EXEEXT) t0009$(EXEEXT)\
@@ -61,7 +61,7 @@ AM_LDFLAGS	=	-no-fast-install
 else
 AM_LDFLAGS	=	-no-install -L../.libs -R $(abs_builddir)/../.libs
 endif
-LIBS		=	../libsybdb.la ../../replacements/libreplacements.la @NETWORK_LIBS@
+LIBS		=	../libsybdb.la ../../replacements/libreplacements.la $(LIBICONV) @NETWORK_LIBS@
 EXTRA_DIST	=	t0016.in t0017.in t0017.in.be data.bin $(EXTRA_DIST_WIN32) $(SQL_DIST)
 CLEANFILES	=	tdsdump.out t0013.out t0014.out t0016.out \
 				t0016.err t0017.err t0017.out
diff --git a/src/tds/unittests/Makefile.am b/src/tds/unittests/Makefile.am
index cb11688..60f8a06 100644
--- a/src/tds/unittests/Makefile.am
+++ b/src/tds/unittests/Makefile.am
@@ -1,4 +1,4 @@
-# $Id: Makefile.am,v 1.26 2009/02/11 14:40:15 freddy77 Exp $
+# $Id: Makefile.am,v 1.27 2010/07/31 08:05:59 freddy77 Exp $
 TESTS		=	t0001$(EXEEXT) t0002$(EXEEXT) t0003$(EXEEXT)\
 			t0004$(EXEEXT) t0005$(EXEEXT) t0006$(EXEEXT)\
 			t0007$(EXEEXT) t0008$(EXEEXT) dynamic1$(EXEEXT)\
@@ -36,5 +36,5 @@ AM_LDFLAGS	=	-no-fast-install
 else
 AM_LDFLAGS	=	-no-install -L../.libs -R $(abs_builddir)/../.libs
 endif
-LIBS		=	../libtds.la ../../replacements/libreplacements.la @NETWORK_LIBS@
+LIBS		=	../libtds.la ../../replacements/libreplacements.la $(LIBICONV) @NETWORK_LIBS@
 CLEANFILES	=	tdsdump.out

